% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/workflows.R
\name{delete_submission}
\alias{delete_submission}
\title{Delete a Submission and Log Responses}
\usage{
delete_submission(id, client, logfile = NULL, ...)
}
\arguments{
\item{id}{A string representing the submission identifier (provisional ID).}

\item{client}{An API client object with a \code{delete} method for
submissions.}

\item{logfile}{A string specifying the path to a log file. If \code{NULL},
no log is written.}

\item{...}{Additional arguments for future extensions (currently unused).}
}
\value{
A list containing the response for the submission deletion.
}
\description{
Deletes a submission identified by its ID using the client and logs the
response if a logfile is specified.
}
\examples{
mock_client <- list(
    delete__submissions__provisional_id =
        function(id) list(status = "deleted")
)
delete_submission("5678901", mock_client)

}
