% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/apiclient.R
\name{.get_operation_params}
\alias{.get_operation_params}
\title{Extract Operation Parameters by Location}
\usage{
.get_operation_params(op)
}
\arguments{
\item{op}{List. An operation definition containing a \code{parameters} element,
which is a list of parameter definitions. Each parameter should include
a \code{name} and an \verb{in} field specifying its location.}
}
\value{
A named list with elements:
\itemize{
\item \code{path}: Character vector of path parameter names.
\item \code{query}: Character vector of query parameter names.
\item \code{header}: Character vector of header parameter names.
}
}
\description{
This function organizes API operation parameters into categories based on
their location (\code{path}, \code{query}, or \code{header}).
}
\examples{
# Convert operation parameters to function arguments
opdefs <- extract_operation_definitions(extract_api())

# Extract parameters categorized by location
Rega:::.get_operation_params(opdefs[["get__files"]])

}
\keyword{internal}
