% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/validate.R
\name{.summarise_validation}
\alias{.summarise_validation}
\title{Summarize Validation Results}
\usage{
.summarise_validation(validation_summary)
}
\arguments{
\item{validation_summary}{A data frame of validation object summaries created
using the \code{validate} package, one per row.}
}
\value{
Prints a summary message indicating the number of validation issues
found, or confirms that validation passed successfully.
}
\description{
Aggregates and summarizes the results of multiple validation checks,
providing counts of failures, missing values, errors, and warnings.
}
\examples{
v <- validate::validator(x > 0)
data <- data.frame(x = c(1, -1, 3))
validation_result <- validate::summary(validate::confront(data, v))
Rega:::.summarise_validation(validation_result)

}
\keyword{internal}
