% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/apiclient.R
\name{extract_api}
\alias{extract_api}
\title{Extract API Specification and Host Details}
\usage{
extract_api(spec_file = NULL, host = NULL)
}
\arguments{
\item{spec_file}{Character. Path to the API specification file in JSON or
YAML format.}

\item{host}{Character. Optional. The API host URL. If not supplied, it will
be inferred from the specification file's \code{servers} element.}
}
\value{
A list containing the parsed API specification, including the \code{host}
and \code{basePath} elements. If the specification file lacks required elements,
appropriate warnings or errors are raised.
}
\description{
This function parses an API specification file (JSON or YAML) and extracts
relevant details.
}
\examples{
# Extract API details from a default YAML specification file
api <- extract_api()

# Extract API details with a custom host
api <- extract_api(host = "https://api.example.com")

}
