% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/apiclient.R
\name{extract_operation_definitions}
\alias{extract_operation_definitions}
\title{Extract API Operation Definitions}
\usage{
extract_operation_definitions(api)
}
\arguments{
\item{api}{List. Parsed API specification, generated from a JSON or
YAML file. Must include a \code{paths} element with API endpoint definitions.}
}
\value{
A named list of operations, where each name corresponds to an
operation ID. If operation Id is not found in the specification, unique one
will be created. Each operation contains:
\itemize{
\item \code{method}: HTTP method (e.g., GET, POST).
\item \code{path}: Endpoint path.
\item \code{parameters}: List of operation parameters.
\item \code{requestBody}: Details of the request body (if any).
\item \code{responses}: Possible responses for the operation.
\item \code{security}: Security requirements for the operation.
}
}
\description{
This function extracts operation definitions from an API specification,
including HTTP methods, paths, parameters, request bodies, and responses.
}
\examples{
# Extract operation definitions from a parsed API specification
opdefs <- extract_operation_definitions(extract_api())
opdefs[["post__submissions"]]

}
