% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{filter_id_fields}
\alias{filter_id_fields}
\title{Filter Out ID Fields from a Character Vector}
\usage{
filter_id_fields(x, pattern = NULL)
}
\arguments{
\item{x}{Character vector. The input vector to filter.}

\item{pattern}{Character. Optional. A regular expression pattern for matching
ID fields to exclude. Defaults to
\code{"(?<!policy_)accession_id|provisional_id"}, which removes accession
IDs and provisional IDs, but not policy accession ID.}
}
\value{
A character vector with elements matching the pattern removed.
}
\description{
This function filters out elements from a character vector that match a
specified regular expression pattern, removing ID fields.
}
\examples{
# Filter out default ID fields
fields <- c("accession_id", "policy_accession_id", "name", "provisional_id")
filter_id_fields(fields)

# Filter with a custom pattern
filter_id_fields(fields, pattern = "_id")

}
