% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/workflow_helpers.R
\name{step_msg}
\alias{step_msg}
\title{Generate a Step-by-Step Message Function}
\usage{
step_msg(steps)
}
\arguments{
\item{steps}{An integer specifying the total number of steps.}
}
\value{
A function that takes a message string as input and displays it
along with the current step and total steps. The step count increments
automatically with each call.
}
\description{
Creates a closure function to display sequential progress messages for a
specified number of steps.
}
\examples{
stepper <- step_msg(3)
stepper("Initializing") # "Step 1/3 - Initializing"
stepper("Processing") # "Step 2/3 - Processing"
stepper("Finalizing") # "Step 3/3 - Finalizing"

}
