% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/workflow_helpers.R
\name{workflow_error_handler}
\alias{workflow_error_handler}
\title{Workflow Error Handler}
\usage{
workflow_error_handler(step, responses, logfile, ...)
}
\arguments{
\item{step}{A string representing the current workflow step.}

\item{responses}{A list of responses to be logged in case of an error.}

\item{logfile}{A string specifying the path to the log file. If \code{NULL},
no file is written.}

\item{...}{Additional expressions to evaluate when an error occurs.}
}
\value{
A function to handle errors during the specified workflow step.
}
\description{
Creates a custom error handler for managing errors during a workflow step.
Logs responses, executes additional expressions, and stops execution with a
detailed message and a stack trace.
}
\examples{
handler <- workflow_error_handler(
    step = "submission",
    responses = list(),
    logfile = NULL
)

tryCatch("Example code without error", error = handler)

}
